Apache C++ Standard Library Reference Guide

## overflow_error

Library: Diagnostics

    overflow_error  runtime_error  exception

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

An exception class

### Synopsis

    #include <stdexcept>

### Description

Objects of class overflow_error are thrown when an arithmetic overflow is encountered. The class is derived from runtime_error, and thrown by bitset and others.

### Interface

    namespace std {
      class overflow_error : public runtime_error {
      public:
        explicit overflow_error(const string&  what_arg );
      };
    }

### See Also

Exceptions, bad_alloc, bad_cast, bad_exception, bad_typeid, domain_error, exception, invalid_argument, ios_base::failure, length_error, logic_error, out_of_range, range_error, runtime_error, underflow_error

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems --Programming Language C++, Section 19.1.8